summaryrefslogtreecommitdiffstats
path: root/patches/mii-diag-2.11.orig/generic/mii-diag_2.11-2.diff
blob: 28b87f0f8a36c9352a41d5a0702128edf4f4d93c (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
--- mii-diag-2.11.orig/mii-diag.8
+++ mii-diag-2.11/mii-diag.8
@@ -61,7 +61,7 @@
 .B \-F, --fixed-speed <speed|setting>
 
 Speed is one of: 100baseT4, 100baseTx, 100baseTx-FD, 100baseTx-HD, 10baseT,
-10baseT-FD, 10baseT-HD.  For more precise control an explict numeric
+10baseT-FD, 10baseT-HD.  For more precise control an explicit numeric
 register setting is also allowed.
 
 
@@ -117,7 +117,7 @@
 .PP
 The '--monitor' option allows scripting link beat changes.
 .PP
-This option is similar to --watch, but with lower overhead and simplifed
+This option is similar to --watch, but with lower overhead and simplified
 output.  It polls the interface only once a second and the output format
 is a single line per link change with three fixed words
   <unknown|down||negotiating|up> <STATUS> <PARTNER-CAP>
--- mii-diag-2.11.orig/debian/mii-diag-udeb.dirs
+++ mii-diag-2.11/debian/mii-diag-udeb.dirs
@@ -0,0 +1 @@
+usr/sbin
--- mii-diag-2.11.orig/debian/postinst
+++ mii-diag-2.11/debian/postinst
@@ -0,0 +1,47 @@
+#! /bin/sh
+# postinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/changelog
+++ mii-diag-2.11/debian/changelog
@@ -0,0 +1,177 @@
+mii-diag (2.11-2) unstable; urgency=low
+
+  * Fix Typos in manpage (closes: #325676)
+
+ -- Alain Schroeder <alain@debian.org>  Sat,  3 Jun 2006 11:57:52 +0200
+
+mii-diag (2.11-1) unstable; urgency=low
+
+  * New Upstream
+  * Switched to upstreams manpage
+
+ -- Alain Schroeder <alain@debian.org>  Sat, 26 Mar 2005 18:58:53 +0100
+
+mii-diag (2.09-1) unstable; urgency=low
+
+  * Build udeb (smaller binary, not using libmii) (Closes: #247177)
+  * Fix manpage, thanks to Jim Van Zandt (Closes: #229386)
+  * New Upstream: new -C (Set BMCR) and -m (Monitor) switches.
+  * Add manpage entries for new -C and -m switches.
+
+ -- Alain Schroeder <alain@debian.org>  Mon,  3 May 2004 22:05:56 +0200
+
+mii-diag (2.07-1) unstable; urgency=low
+
+  * New Upstream
+    * mii-diag 2.07
+      * Split the -G command into -g and -G
+    * libmii 2.10
+      * New chip-ids added
+      * Better support for TDK, VIA and Intel chips
+  * Updated man-page
+  * Cleaned my helptext from multiline strings, Thanks to Daniel Schepler
+    <schepler@math.berkeley.edu> (Closes: #194987)
+
+ -- Alain Schroeder <alain@debian.org>  Fri,  6 Jun 2003 20:46:44 +0200
+
+mii-diag (2.05-1) unstable; urgency=low
+
+  * New Upstream. It now has a detailed --help from upstream.
+  * Fixed manpage to match --help.
+
+ -- Alain Schroeder <alain@debian.org>  Sat, 27 Jul 2002 22:23:07 +0200
+
+mii-diag (2.04-1) unstable; urgency=low
+
+  * New Upstream - few fixes and it now showes, if the old or new SIOCGMIIPHY
+    is used.
+  * Add "-s" parameter to manpage, which is documented in the helptext.
+    (Closes: #146879).
+
+ -- Alain Schroeder <alain@debian.org>  Sun, 26 May 2002 15:47:21 +0200
+
+mii-diag (2.03-1) unstable; urgency=low
+
+  * New Upstream (closes: #133000).
+  * Some small changes to the manpage.
+  * Do not use dh_testversion anymore.
+
+ -- Alain Schroeder <alain@debian.org>  Sun, 10 Feb 2002 00:16:46 +0100
+
+mii-diag (2.02-4) unstable; urgency=low
+
+  * Fix-a-typo (closes: #130565)
+
+ -- Alain Schroeder <alain@debian.org>  Wed, 23 Jan 2002 23:51:54 +0100
+
+mii-diag (2.02-3) unstable; urgency=low
+
+  * Fix-a-typo in description. (closes: #125136)
+  * Make mii-diag flush after changes (Thanks to Ingvar Mattsson).
+
+ -- Alain Schroeder <alain@parkautomat.net>  Sat, 22 Dec 2001 16:28:28 +0100
+
+mii-diag (2.02-2) unstable; urgency=low
+
+  * Removed Build dependency on libc6-dev
+
+ -- Alain Schroeder <alain@debian.org>  Tue, 10 Jul 2001 13:28:48 +0200
+ 
+mii-diag (2.02-1) unstable; urgency=low
+
+  * Splitted nictools source into mii-diag, nictools-pci and
+    nictools-nopci.
+  * Bumped version to 2.02, because mii-diag has that version.
+
+ -- Alain Schroeder <alain@debian.org>  Mon, 18 Jun 2001 22:15:42 +0200
+
+nictools (1.3.1-2) unstable; urgency=low
+
+  * Removed a tab from debian/control
+
+ -- Alain Schroeder <alain@debian.org>  Fri,  1 Jun 2001 13:40:30 +0200
+
+nictools (1.3.1-1) unstable; urgency=low
+
+  * New Upstream(s):
+  ** Added ns820-diag for cards with Myson MTD803 chip (v1.00)
+  ** Added myson-diag for cards with National Semiconductor DP83820
+      chips (v2.02)
+  ** Updated eepro-diag    (v2.04)
+  ** Updated epic-diag     (v2.01)
+  ** Updated libmmi        (v2.04)
+  ** Updated mii-diag      (v2.02)
+  ** Updated natsemi-diag  (v2.04)
+  ** Updated ne2k-pci-diag (v2.01)
+  ** Updatet rtl8139-diag  (v2.03)
+  ** Updated tulip-diag    (v2.08)
+  ** Updated via-diag      (v2.06)
+  ** Updated vortex-diag   (v2.05)
+  * Added myson-diag and ns820-diag to description
+
+ -- Alain Schroeder <alain@debian.org>  Tue, 22 May 2001 00:18:46 +0200
+
+nictools (1.3-6) unstable; urgency=low
+
+  * Added patch that allowes building this package with
+    /usr/src/kernel-source-* as a symlink from Guido Guenther. 
+    (Closes: #95850)
+  * Added Build-Depend on gawk.
+
+ -- Alain Schroeder <alain@debian.org>  Tue, 17 Apr 2001 00:10:20 +0200
+ 
+nictools (1.3-5) unstable; urgency=low
+
+  * I was a bit too fast with making 3c5x9utils an obsolete package.
+    I forgot to include the actual binaries. (Closes: #94194)
+
+ -- Alain Schroeder <alain@debian.org>  Tue, 17 Apr 2001 00:10:20 +0200
+ 
+nictools (1.3-4) unstable; urgency=low
+
+  * Modified the Descriptions a little bit.
+  * Wrote manpages for atlantic-diag, atp-diag, eexpress-diag, e21-diag,
+    hp+-diag and ne2k-diag.
+
+ -- Alain Schroeder <alain@debian.org>  Thu,  8 Mar 2001 02:53:10 +0100
+
+nictools (1.3-3) unstable; urgency=low
+
+  * Reimplemented debian/rules cleanly.
+  * Wrote manpages for 3c515-diag, alta-diag and at1700-diag.
+
+ -- Alain Schroeder <alain@debian.org>  Wed, 28 Feb 2001 14:02:04 +0100
+
+nictools (1.3-2) unstable; urgency=low
+
+  * Fixed Typos in mii-diag's description, closes: #83700
+  * Wrote a manpage for mii-diag, closes: #83702
+  * Implemented a real "help" mode with all infos from the manpagei in
+    mii-diag.
+
+ -- Alain Schroeder <alain@debian.org>  Fri, 16 Feb 2001 16:03:35 +0100
+ 
+nictools (1.3-1) unstable; urgency=low
+
+  * Jumped upstream version up to 1.3 to nicely integrate 3c5x9utils.
+  * Reconstructed the building. Now 3c9x5utils and nictools-noisa ist only
+    build on i386, while nictools-pci is i386 arm alpha only. mii-diag is
+    the only package that can be crosscompiled, closes: #84704, #85233
+
+ -- Alain Schroeder <alain@debian.org>  Mon,  5 Feb 2001 15:07:24 +0100
+
+nictools (1.0-2) unstable; urgency=low
+
+  * Fixed Description to not be wrapped, closes: #83985
+
+ -- Alain Schroeder <alain@debian.org>  Tue, 30 Jan 2001 13:26:25 +0100
+ 
+nictools (1.0-1) unstable; urgency=low
+
+  * Initial Release, closes: #83441
+
+ -- Alain Schroeder <alain@debian.org>  Tue,  9 Jan 2001 20:27:27 +0100
+
+Local variables:
+mode: debian-changelog
+End:
--- mii-diag-2.11.orig/debian/control
+++ mii-diag-2.11/debian/control
@@ -0,0 +1,28 @@
+Source: mii-diag
+Section: net
+Priority: extra
+Maintainer: Alain Schroeder <alain@debian.org>
+Standards-Version: 3.7.2.0
+Build-Depends: debhelper (>= 4.2)
+
+Package: mii-diag
+Architecture: any
+Section: net
+Depends: ${shlibs:Depends}
+Suggests: nictools-pci, nictools-nopci
+Description: A little tool to manipulate network cards
+ Examines and sets the MII registers of network cards.
+ .
+ This is a general program. You can find specialized programs for 
+ several network cards in the nictools-pci and nictools-nopci packages.
+
+Package: mii-diag-udeb
+Architecture: any
+Section: debian-installer
+Depends: ${shlibs:Depends}
+XC-Package-Type: udeb
+Description: A little tool to manipulate network cards
+ Examines and sets the MII registers of network cards.
+ .
+ This is a general program. You can find specialized programs for 
+ several network cards in the nictools-pci and nictools-nopci packages.
--- mii-diag-2.11.orig/debian/copyright
+++ mii-diag-2.11/debian/copyright
@@ -0,0 +1,13 @@
+This package was debianized by Alain Schroeder <alain@debian.org> on
+Tue,  9 Jan 2001 20:27:27 +0100.
+
+It was downloaded from http://www.scyld.com/diag/index.html
+
+Upstream Author: Donald Becker <becker@scyld.com>
+
+Copyright:
+
+  You are free to distribute this software under the terms of the GNU 
+  General Public License. The full text of this license can be found 
+  in the file /usr/share/common-licenses/GPL.
+      
--- mii-diag-2.11.orig/debian/postrm
+++ mii-diag-2.11/debian/postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+                                # update the menu system
+#        if [ -x /usr/bin/update-menus ]; then update-menus; fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
--- mii-diag-2.11.orig/debian/rules
+++ mii-diag-2.11/debian/rules
@@ -0,0 +1,92 @@
+#!/usr/bin/make -f
+# Sample debian/rules that uses debhelper. 
+# GNU copyright 1997 by Joey Hess.
+#
+# This version is for a hypothetical package that builds an
+# architecture-dependant package, as well as an architecture-independent
+# package.
+
+# Uncomment this to turn on verbose mode. 
+#export DH_VERBOSE=1
+
+# This is the debhelper compatability version to use.
+export DH_COMPAT=4
+
+# This has to be exported to make some magic below work.
+export DH_OPTIONS
+
+BUILD_ARCH:=$(shell dpkg --print-gnu-build-architecture)
+# New cross-compilation policy may set the DEB_HOST_ARCH variable.
+ifdef DEB_HOST_ARCH
+ ARCH:=$(DEB_HOST_ARCH)
+else
+ # dpkg-cross sets the ARCH environment variable, so use it.
+ ifdef ARCH
+  ARCH:=$(ARCH)
+ else
+  ARCH:=$(BUILD_ARCH)
+ endif
+endif
+
+build: build-stamp
+build-stamp:
+	dh_testdir
+	touch build-stamp
+
+clean:
+	dh_testdir
+	dh_testroot
+	rm -f build-stamp 
+
+	# Add here commands to clean up after the build process.
+	-$(MAKE) clean
+	-rm -rf debian/mii-diag debian/mii-diag-udeb
+
+	dh_clean
+
+install: DH_OPTIONS=
+install: build
+	dh_testdir
+	dh_testroot
+	dh_clean -k
+	dh_installdirs
+	$(MAKE) mii-diag
+	dh_install -pmii-diag mii-diag usr/sbin
+	$(MAKE) clean
+	$(MAKE) mii-diag-udeb
+	dh_install -pmii-diag-udeb mii-diag usr/sbin
+	#dh_movefiles
+
+# Build architecture-independent files here.
+# Pass -i to all debhelper commands in this target to reduce clutter.
+binary-indep: DH_OPTIONS=-i
+binary-indep: build install
+
+# Build architecture-dependent files here.
+# Pass -a to all debhelper commands in this target to reduce clutter.
+binary-arch: DH_OPTIONS=-s
+binary-arch: build install
+#	dh_testversion 1.1.17
+	dh_testdir
+	dh_testroot
+	dh_installdocs
+	dh_installexamples
+	dh_installmenu
+	dh_installcron
+	
+	dh_installman
+
+	dh_installinfo
+	dh_installchangelogs 
+	dh_strip
+	dh_link
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_md5sums
+	dh_builddeb
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install
--- mii-diag-2.11.orig/debian/prerm
+++ mii-diag-2.11/debian/prerm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# prerm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/nictools.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/preinst
+++ mii-diag-2.11/debian/preinst
@@ -0,0 +1,40 @@
+#! /bin/sh
+# preinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/nictools.pid  \
+#                --exec /usr/sbin/nictools 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag-udeb.files
+++ mii-diag-2.11/debian/mii-diag-udeb.files
@@ -0,0 +1 @@
+usr/sbin/mii-diag
--- mii-diag-2.11.orig/debian/mii-diag-udeb.manpages
+++ mii-diag-2.11/debian/mii-diag-udeb.manpages
@@ -0,0 +1 @@
+debian/mii-diag.8
--- mii-diag-2.11.orig/debian/mii-diag-udeb.postrm
+++ mii-diag-2.11/debian/mii-diag-udeb.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+                                # update the menu system
+#        if [ -x /usr/bin/update-menus ]; then update-menus; fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
--- mii-diag-2.11.orig/debian/mii-diag-udeb.preinst
+++ mii-diag-2.11/debian/mii-diag-udeb.preinst
@@ -0,0 +1,40 @@
+#! /bin/sh
+# preinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/nictools.pid  \
+#                --exec /usr/sbin/nictools 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.dirs
+++ mii-diag-2.11/debian/mii-diag.dirs
@@ -0,0 +1,2 @@
+usr/sbin
+usr/share/man/man8
--- mii-diag-2.11.orig/debian/mii-diag-udeb.prerm
+++ mii-diag-2.11/debian/mii-diag-udeb.prerm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# prerm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/nictools.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.manpages
+++ mii-diag-2.11/debian/mii-diag.manpages
@@ -0,0 +1 @@
+mii-diag.8
--- mii-diag-2.11.orig/debian/mii-diag-udeb.postinst
+++ mii-diag-2.11/debian/mii-diag-udeb.postinst
@@ -0,0 +1,47 @@
+#! /bin/sh
+# postinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.postinst
+++ mii-diag-2.11/debian/mii-diag.postinst
@@ -0,0 +1,47 @@
+#! /bin/sh
+# postinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+#
+# quoting from the policy:
+#     Any necessary prompting should almost always be confined to the
+#     post-installation script, and should be protected with a conditional
+#     so that unnecessary prompting doesn't happen if a package's
+#     installation fails and the `postinst' is called with `abort-upgrade',
+#     `abort-remove' or `abort-deconfigure'.
+
+case "$1" in
+    configure)
+
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.preinst
+++ mii-diag-2.11/debian/mii-diag.preinst
@@ -0,0 +1,40 @@
+#! /bin/sh
+# preinst script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+
+case "$1" in
+    install|upgrade)
+#        if [ "$1" = "upgrade" ]
+#        then
+#            start-stop-daemon --stop --quiet --oknodo  \
+#                --pidfile /var/run/nictools.pid  \
+#                --exec /usr/sbin/nictools 2>/dev/null || true
+#        fi
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.prerm
+++ mii-diag-2.11/debian/mii-diag.prerm
@@ -0,0 +1,37 @@
+#! /bin/sh
+# prerm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+    remove|upgrade|deconfigure)
+#       install-info --quiet --remove /usr/info/nictools.info.gz
+        ;;
+    failed-upgrade)
+        ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 0
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- mii-diag-2.11.orig/debian/mii-diag.postrm
+++ mii-diag-2.11/debian/mii-diag.postrm
@@ -0,0 +1,38 @@
+#! /bin/sh
+# postrm script for nictools
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <r>overwrit>r> <new-version>
+# for details, see /usr/doc/packaging-manual/
+
+case "$1" in
+       purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+                                # update the menu system
+#        if [ -x /usr/bin/update-menus ]; then update-menus; fi
+
+        ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 0
+
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+
--- mii-diag-2.11.orig/debian/mii-diag.files
+++ mii-diag-2.11/debian/mii-diag.files
@@ -0,0 +1 @@
+usr/sbin/mii-diag
--- mii-diag-2.11.orig/Makefile
+++ mii-diag-2.11/Makefile
@@ -0,0 +1,26 @@
+CFLAGS= -O -Wall
+CC=gcc
+INSTALL=install
+
+LIBS=libmii.o
+
+all: mii-diag mii-diag-udeb
+
+mii-diag:
+	$(CC) $(CFLAGS) -Wstrict-prototypes -O mii-diag.c -DLIBMII \
+				libmii.c -o mii-diag
+
+mii-diag-udeb:
+	$(CC) -Os -Wstrict-prototypes -O mii-diag.c -o mii-diag
+clean:
+	rm -f *.o mii-diag mii-diag-udeb *~
+
+install-mii-diag:
+	mkdir -p $(DESTDIR)/usr/sbin
+	$(INSTALL) mii-diag $(DESTDIR)/usr/sbin
+
+install-mii-diag-udeb:
+	mkdir -p $(DESTDIR)/usr/sbin
+	$(INSTALL) mii-diag-udeb $(DESTDIR)/usr/sbin/mii-diag
+	
+install: all install-mii-diag